#
# uxyz4.rb
#   $Id: uxyz4.rb,v 1.2 2000/11/18 19:03:51 keiko Exp $
#


require "narray"
require "numru/dcl"
include NumRu
include Math


#-- graph ---
iws = (ARGV[0] || (puts ' WORKSTATION ID (I)  ? ;'; DCL::sgpwsn; gets)).to_i
DCL::gropn iws

DCL::grfrm

DCL::grswnd(-50.0, 50.0, 1.0e3, 0.4)
DCL::grsvpt(0.2, 0.8, 0.2, 0.8)
DCL::grstrn(2)
DCL::grstrf

DCL::uxaxdv('B', 5.0, 20.0)
DCL::uxaxdv('T', 5.0, 20.0)
DCL::uxsttl('B', 'LATITUDE (deg)', 0.0)

DCL::uliset('IYTYPE', 3)
DCL::ulylog('L', 3, 9)
DCL::ulylog('R', 3, 9)
DCL::uysttl('L', 'PRESSURE (hPa)', 0.0)

DCL::uxmttl('T', 'UXAXDV/ULYLOG', 0.0)

DCL::grcls

